freecad (1.1.1+dfsg-3) unstable; urgency=medium

  * Recommend python3-vtk. (Closes: #1136048)
  * Recommend python3-netgen.
  * Replace B-D on libqt6svg6-dev with qt6-svg-dev, as package dropped
    the Provides: for it.

 -- Tobias Frost <tobi@debian.org>  Wed, 24 Jun 2026 21:18:44 +0200

freecad (1.1.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Tobias Frost <tobi@debian.org>  Thu, 07 May 2026 15:46:19 +0200

freecad (1.1.1+dfsg-2~exp1) experimental; urgency=medium

  * Enable build against packaged libe57format.
  * Switch to Qt6 (Closes: #1121645)
    Thanks to Bastian for prepare the patch.

 -- Tobias Frost <tobi@debian.org>  Wed, 06 May 2026 15:56:01 +0200

freecad (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release. Closes: #1133895.
    - Update d/copyright
    - Drop patches, applied upstream:
      - 1000-use-packages-pycxx.patch
      - 1020-missing-includes-E57.patch
  * Recommend python3-ifcopenshell for the BIM Workbench.
  * d/watch: set Pgp-Mode to none to avoid lintian errors as upstream is not
    signing their code.

 -- Tobias Frost <tobi@debian.org>  Wed, 06 May 2026 08:42:39 +0200

freecad (1.1.0+dfsg-2) unstable; urgency=medium

  * Fix FTBFs on armhf, thanks to Bastian Germann for the fix. (Closes:
    #1132247)
  * New patch 1040-fix-cmake-race.patch to fix FTBFS on arm64.
  * Adapt autopkgtest to new upstream version. Closes: #1133345.

 -- Tobias Frost <tobi@debian.org>  Thu, 23 Apr 2026 20:35:43 +0200

freecad (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream reelase (Closes: #1121409)
  * Fix d/watch to get upstream release tarball, instead of using
    the git tag - as otherwise submodules are missing.
  * Update d/copyright "Files-Excluded" section for files no longer
    in the tarball.
  * Remove embedded code copies via Files-Excluded.
  * Drop no longer needed patches (e.g applied upstream)
    - 2060-fix-linking.patch
    - 1080-fix-FTBFS-due-dfsg-repacking-p1.patch
    - 1090-freecad-spelling-allow-one.patch
    - 1091-freecad-spelling-others.patch
    - 1092-fixnetgen-bug1129088.patch
    - 1100-cam-fanuc-post-fix.patch
    - 1110-no-boost-system.patch
  * Refresh patch 2070-use-nlohmann-json3-dev.patch
  * Use packaged versions of zipios++, gtest/gmock.
  * Add a patch to use packaged PyCXX. (1000-use-packages-pycxx.patch)
  * Add patch to fix path in the thumbnailer.
  * Remove files from d/not-installed which are no longer there.
  * Cleanup d/rules
    - remove py3ver handlign for old pythons.
    - review option overrides and remove them where upstream has the same
      values.
  * Add patch for 32bit archs: FTBFS due to missing includes.

 -- Tobias Frost <tobi@debian.org>  Sun, 29 Mar 2026 13:50:59 +0200

freecad (1.0.2+dfsg-7) unstable; urgency=medium

  * Fix FTBFS with boost1.90, removal of boost-system.

 -- Tobias Frost <tobi@debian.org>  Thu, 05 Mar 2026 19:09:52 +0100

freecad (1.0.2+dfsg-6) unstable; urgency=medium

  * Fix "CAM output fail with fanuc postprocessor, thanks Petter Reinholdtsen
    for the patch (Closes: #1117850)

 -- Tobias Frost <tobi@debian.org>  Mon, 02 Mar 2026 19:44:47 +0100

freecad (1.0.2+dfsg-5) unstable; urgency=medium

  * Add patch to fix compilation with newer netgen. See #1129089.
    Many thanks to Francesco for hinting the workaround.
  * As requested, move the repository out of the science-team.  The new home
    is the debian namespace, see d/control. Closes: #1129200.
  * Move FreeCAD to the new FreeCAD Packaging Team.
  * Bump S-V to 4.7.3 - remove R³ and Priority: optional.

 -- Tobias Frost <tobi@debian.org>  Fri, 27 Feb 2026 18:04:46 +0100

freecad (1.0.2+dfsg-4) unstable; urgency=medium

  * Revert "build with pyside6"
  * Move package out of the science team. 
  * Cleaning up Uploaders removing Sebastian Kuzminsky.
  * Fix "Netgen missing in Meshing options", cherry-picking
    netgen >= 6.2.2601 patch from upstream. (Closes: #1129088)

 -- Tobias Frost <tobi@debian.org>  Thu, 26 Feb 2026 23:19:15 +0100

freecad (1.0.2+dfsg-3) unstable; urgency=medium

  * Team upload
  * Build with pyside6

 -- Bastian Germann <bage@debian.org>  Tue, 24 Feb 2026 11:32:05 +0100

freecad (1.0.2+dfsg-2) unstable; urgency=medium

  * Drop wayland workaround, as coin3d has now been updated.
  * Adding versioned B-D on libcoin3d, to ensure the required version is used.
  * Drop B-D on libocct-ivtk-dev again, as this was a bug in opencascade.
    (See #1117410)
  * Re-enable Netgen builds. Closes: #1118362)

 -- Tobias Frost <tobi@debian.org>  Sat, 18 Oct 2025 19:39:25 +0200

freecad (1.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - d/copyright:
      - Removing font ASME Y14.5 from Files-Excluded, as copyrights issue has
        been resolved (Closes: #1091771)
      - general update, some files relicensed, new upstream contributors.
  * Fix debian/watch and update it to version 5.
  * B-D on libocct-ivtk-dev. (Closes: #1117397)
  * d/patches:
    - rename 1100-run_single-instance.patch to 2100-run_single-instance.patch,
      to indicate that the remaining change is not upstreamable.
    - drop 1081-fix-FTBFS-due-dfsg-repacking-p2.patch, no longer needed, as
      the font can now be re-included.
    - drop 1110-GL_MULTISAMPLE.patch, no longer needed.
    - refresh patches, update metadata. 
    - drop 2000-do_not_install_binary_examples.patch - all examples are
      licensed CC-BY-[SA], so they can be installed as well.
  * Install those examples to usr/share/doc/freecad-common/examples and 
    add a symlink to where FreeCAD expects them.
  * enable dh_missing --fail-missing in d/rules. 
  * don't install 3DConnexion.xml.
  * don't ship a /usr/share/doc/freecad-doc/ dir with content.

 -- Tobias Frost <tobi@debian.org>  Sun, 05 Oct 2025 21:35:16 +0200

freecad (1.0.0+dfsg-8) unstable; urgency=medium

  * Disable accidential added autopkgtest starttest, which was not ready.

 -- Tobias Frost <tobi@debian.org>  Mon, 07 Jul 2025 17:48:33 +0200

freecad (1.0.0+dfsg-7) unstable; urgency=medium

  * Add patch to workaround crash under wayland (Closes: #1051296)

 -- Tobias Frost <tobi@debian.org>  Sat, 28 Jun 2025 10:30:28 +0200

freecad (1.0.0+dfsg-6) unstable; urgency=medium

  * Add some more paths to d/clean, thanks Wookey for the patch.
    (Closes: #1094803)
  * Enable Assembly-Workbench, as ondselsolver is now in the archives.
    (Closes: #1091349)

 -- Tobias Frost <tobi@debian.org>  Sun, 23 Mar 2025 17:50:18 +0100

freecad (1.0.0+dfsg-5) unstable; urgency=medium

  * Disable builds on armel and i386. (Those archs are not suitable for CAD
    anyways and create lots of extra effort.)
  * Rework autopktest script to run flaky tests, but ignore result.
  * Run package tests in xvfb, but ignore result for now.
  * Really symlink the osifonts.

 -- Tobias Frost <tobi@debian.org>  Fri, 03 Jan 2025 18:09:58 +0100

freecad (1.0.0+dfsg-4) unstable; urgency=medium

  * Disable TestArch in autopkgtest.

 -- Tobias Frost <tobi@debian.org>  Mon, 30 Dec 2024 20:01:39 +0100

freecad (1.0.0+dfsg-3) unstable; urgency=medium

  * Disable TestPathApp in autopkgtest.

 -- Tobias Frost <tobi@debian.org>  Thu, 26 Dec 2024 14:40:18 +0100

freecad (1.0.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * New patch to fix FTBFS on armel/armhf, where GL_MULTIPATH seems not to be
    defined.
  * Split some patches for easier upstreaming, update meta data.
  * d/clean: remove files which are in FilesExluded.

 -- Tobias Frost <tobi@debian.org>  Tue, 24 Dec 2024 14:07:00 +0100

freecad (1.0.0+dfsg-1~exp1) experimental; urgency=medium

  * Upload to experimental to clear NEW (binary package rename)
  * New upstream release. (Closes: #1087876)
    - remove patches applied upstream.
    - refresh patches.
    - new patch to use packaged version of nlohmann-json3.
    - disable Assembly workbench, as it needs a yet unpackaged library.
    - python modules are now installed to site-packages. (Closes: #1049933)
  * d/watch: not to use dfsg not dfsg1 as suffix.
    complains about the missing KuKa files and the Y14.5 font.
  * d/rules: general cleanup.
  * d/control:
    - drop version from the libfreecad-python3 package name.
    - add several B-Ds now required, to unbundle embedded libraries:
      - cmake-extras for FindGMock and FindGTest
      - libgtest-dev and libgmock-dev for the gtest and gmock.
      - use libyaml-cpp-dev instead of embedded code copy.
      - libgl-dev to use Debian's glext.h
      - libmsgsl-dev to use the Debian package.
      - add version constraint on fixed zipios++ version.
      - use fonts-osifont package for osifont-italic.
    - remove obsolete Breaks/Replaces constraints, fulfilled since at
      least oldstable.
    - bump S-V to 4.7.0 - no changes required.
  * d/copyright: rewrite and complete review. (WIP)
    - Seveal additional files are now removed, due to a non-free
      license (Closes: #1090833)
  * New patch to fix FTBFS when linking the test suite.
  * New patch to fix FTBFS due to the DFSG repacking, as the Robot Workbench
  * Install python modules in site path.
  * Install example files shipped by upstream.

 -- Tobias Frost <tobi@debian.org>  Mon, 23 Dec 2024 09:51:54 +0100

freecad (0.21.2+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtests, by cherry-picking upstream changes to the test-suite.
  * Add myself to Uploaders
  * Install fcinfo (Closes: #1060846)

 -- Tobias Frost <tobi@debian.org>  Thu, 25 Jul 2024 11:20:41 +0200

freecad (0.21.2+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with Python 3.12, importing upstream patch (Closes: #1074442)

 -- Tobias Frost <tobi@debian.org>  Thu, 11 Jul 2024 00:19:35 +0200

freecad (0.21.2+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * [4bced83] Fix FTBFS with VTK9.3. (Closes: #1073823)

 -- Anton Gladky <gladk@debian.org>  Thu, 20 Jun 2024 08:32:15 +0200

freecad (0.21.2+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Rework autopkgtest script, update available tests and block
    TestPathApp also for i386.

 -- Tobias Frost <tobi@debian.org>  Sat, 25 May 2024 16:11:03 +0200

freecad (0.21.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with opencascade 7.8.1 (Closes: #1071283), and B-D on new
    opencascade.

 -- Tobias Frost <tobi@debian.org>  Fri, 24 May 2024 21:17:26 +0200

freecad (0.21.2+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. (Closes: #1043104)
    - Remove upstream applied patches:
      - 0000-numpy-1.24
      - 0010-arch-tutorial
      - 0030-fix-1014875-arm-FTBFS
      - 0040-python3-interpreter
      - 0050-appstream-meta-launcable
      - 0060-bug-993089-dxf-support-desktop-file
      - 0070-python3-interpreter
      - 0080-fix-s390x-test-fail-skip-load-old-file
      - 0090-gcc13-fix
      - 0100-opencamlib-new-import
      - 1110-path-g49-move-0.20.patch
    - Remove obsolete Patch: 1010-opencascade74 - upstream removed raytracing
      functionality.
    - Refreshed paches:
      - 0110-desktop-extra-categories.patch
      - 1100-run_single-instance.patch
    - New patch: 2040-ftbfs-macappbundle.patch, to avoid that CMake
      is not missing the removed MacAppBundle directory.
    - New B-Ds on libfmt-dev python3-pivy
  * Remove override for dh_installchangelogs, upstream does no longer ship an
    Changelog.
  * Override dh_strip_nondeterminism, as it chokes on the corrupted zip
    file used in a unit test.
  * Add gmock/gtest to d/not-installed.
  * Remove B-D on libqtwebkit5-dev, as upstream stopped support
    for it. This results that freecad will be built without the "Web
    Workbench", on architectures that do not have qtwebengine5-dev.
    (all except amd64, arm64, armhf, i386 and mipsel64)

 -- Tobias Frost <tobi@debian.org>  Mon, 18 Dec 2023 18:28:59 +0100

freecad (0.20.2+dfsg1-10) unstable; urgency=medium

  * Team upload.

  [ Petter Reinholdtsen ]
  * Added 1120-desktop-extra-categories.patch to include X-CNC category
    to XDG desktop meny entry.

  [ Bas Couwenberg ]
  * Drop unused libproj-dev build dependency.

  [ Petter Reinholdtsen ]
  * Added recommend and patched code to find find new opencamlib package.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 04 Sep 2023 15:53:04 +0200

freecad (0.20.2+dfsg1-9) unstable; urgency=medium

  * Team upload.

  * Added 0090-gcc13-fix.patch to fix GCC 13 build problem (Closes: #1037664).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 26 Jul 2023 23:14:08 +0200

freecad (0.20.2+dfsg1-8) unstable; urgency=medium

  * Team upload.

  * Updated patch metadata for patches now applied upstream.
  * Added 1110-path-g49-move-0.20.patch avoiding dangerous G-code
    from Path (Closes: #1040426).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 11 Jul 2023 17:29:12 +0200

freecad (0.20.2+dfsg1-7) unstable; urgency=medium

  * Team upload.

  * Moved patches upstream to 0xxx patch sequence.
  * Corrected patch metadata for *opencascade74.patch.
  * Added new 1160-python3-interpreter.patch to fix more
    lintian warnings.
  * Dropped superfluous file patterns pointing to non-existing files
    from d/copyright.
  * Remove unused dh-exec from debian/freecad-common.install.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 06 Jul 2023 08:25:20 +0200

freecad (0.20.2+dfsg1-6) unstable; urgency=medium

  * Team upload.

  * Removed 1000-fix-occt-7.5.2.patch now applied upstream.
  * Sent patches upstream and updated metadata to relect this.
  * Removed cruft from metadata of two patches.
  * Classified *fix-1017598.patch as Debian specific, in line with
    its description.
  * Renamed and added patch metadata to *python3.8-syntax.patch.
  * Added 1160-python3-interpreter.patch to fix lintian warning
    unusual-interpreter.
  * Added 0010-arch-tutorial.patch to get arch tutorials working
    with Python >= 3.11  (Closes: #1031566).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 01 Jul 2023 08:44:13 +0200

freecad (0.20.2+dfsg1-5) unstable; urgency=medium

  * Team upload.

  * Changed upstream URL from https://freecadweb.org/ to
    https://freecad.org/ (Closes: #1031830).
  * Updated Standards-Version from 4.6.1 to 4.6.2.  No changes needed.
  * Corrected typos and metadata in several patch files.
  * Standardised Author information in patch files, preferred
    @debian.org addresses.
  * Restructured patches into upstreamable and debian specific groups.
  * Removed obsolete NEWS.debian.
  * Added 1150-appstream-meta-launcable.patch trying to fix Appstream
    generator warning.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 30 Jun 2023 08:02:21 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libfreecad-python3`.
